# socket_cmsg_space

(PHP 5 >= 5.5.0, PHP 7)

socket_cmsg_space — Calculate message buffer size

### Description

socket_cmsg_space ( int `$level` , int `$type` [, int `$n` = 0 ] ) : int

Calculates the size of the buffer that should be allocated for receiving the ancillary data.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`level`

`type`

### Return Values

### See Also

- socket_recvmsg() - Read a message
- socket_sendmsg() - Send a message